Subject: bug#68006: 30.0.50; Image-mode speed

From: Eli Zaretskii <[email-masked]>
Date: Mon, 21 Oct 2024 17:36:50 +0300

> From: Manuel Giraud <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 21 Oct 2024 16:25:22 +0200
> 
> >> > We probably need a way for modifying the time an image is to be kept,
> >> > at least.
> >> 
> >> Yes.  Anyway, my last patch was completely wrong and I am working on
> >> another one.  Tell me if you're interested to see where I'm headed to.
> >
> > It's your call.  I and others are here to provide feedback if you feel
> > you need that.
> 
> Anyway, here is a patch of what I have done.
> 
> Since in the end an image is identify by an ID which is its index in the
> images vector, I choose to take this vector out of the cache struct and
> put it into what I called an image_store.

What advantages did you see in doing it this way, wrt the original
code?